---
title: "Get List of Teams"
slug: "get-list-of-teams"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List of Teams

Get/api/v1/teams.list

Lists the public and private teams the request sender is part of.

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parameterssort

List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {"value": -1, "_id": 1}. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

offsetinteger

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
countinteger

The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
query

This parameter allows you to use MongoDB query operators to search for specific data. For example, to query users with a name that contains the letter "g": `query={ &quot;name&quot;: { &quot;$regex&quot;: &quot;g&quot; } }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.

Responses200

OK

Note that the `roomId` is main room id of the team.

<select class='api-response-data' aria-label='Media type'><option value='698d205e-75d1-4ac1-bbd0-64281d295865'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='22d9be0a-6123-49d9-8349-e4afb1eff4e3'>Success</option>
</select>Success

```json
{
  "teams": [
    {
      "_id": "63f3efc4b000b6b6d86704b2",
      "name": "test-audit",
      "type": 0,
      "createdAt": "2023-02-20T22:10:12.733Z",
      "createdBy": {
        "_id": "rbAXPnMktTFbNpwtJ",
        "username": "test.test"
      },
      "_updatedAt": "2023-02-20T22:10:12.843Z",
      "roomId": "6GFJ3tbmHiyHbahmC",
      "rooms": 0,
      "numberOfUsers": 2
    },
    {
      "_id": "65149c7ea2f73c7460e18cab",
      "name": "messages",
      "type": 0,
      "createdAt": "2023-09-27T21:19:58.972Z",
      "createdBy": {
        "_id": "rbAXPnMktTFbNpwtJ",
        "username": "roxie"
      },
      "_updatedAt": "2023-09-27T21:19:59.038Z",
      "roomId": "6513afeda2f73c7460e18c86",
      "rooms": 0,
      "numberOfUsers": 2
    }
  ],
  "total": 2,
  "count": 2,
  "offset": 0,
  "success": true
}
```

Expand Allobject  teams Array of object   object  _idstring    
namestring    
typeinteger    
createdAtstring    
createdByobject  _idstring    
usernamestring    

_updatedAtstring    
roomIdstring    
roomsinteger    
numberOfUsersinteger    

totalinteger    
countinteger    
offsetinteger    
successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='84e49a8e-f0f6-4ac7-be67-33d37e930e14'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='2d4ad063-8437-45f5-abe8-53977212bade'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
